<template>
  <div class="teaser full-width no-marge teaser-message">
    <div class="teaser-content">
      <div class="teaser-message-content">
        <span>500</span>
        <strong> {{ $t('errors.500') }} </strong>
        <p v-if="error.message">{{ error.message }}</p>
        <a class="link-plus" href="/">{{ $t('errors.backToHome') }}</a>
      </div>
      <div class="teaser-img resp-min">
        <picture>
          <img
            class="teaser-image"
            src="//izneo.com/bundles/izneofront/assets/pages/img/teaser-404.png"
            :alt="`${$t('errors.error')} 500`"
          />
        </picture>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  props: {
    error: {
      type: Object,
      required: false,
      default: () => {}
    }
  }
}
</script>

<style lang="scss" scoped></style>
